package com.persagy.adm.server.custom.entity;

import lombok.Data;

import java.util.List;

/**
 * 按项目下载的数据结构
 */
@Data
public class ProjectData extends DownLoadData {

	/** 项目下的关系数据 */
	private List<?> relations;

	public void buildDownloadTs() {
		long ts = getMaxTs(relations);
		if(ts > 0)
			bdtpDownloadTs = ts;
	}

}
